Subject: Re: Why is it important to learn git?

From: Thomas Rast <[email-masked]>
Date: Wed, 22 Jul 2009 09:52:26 +0200

Tim Harper wrote:
> 
> How has mastering the advanced features of git helped you to be a
> better programmer?

I came from SVN, and I guess the most important change for me was:

  Learning to make nice, reviewable, working, one-change-per-revision
  commits.

This must be enforced by social pressure of course, but 'add --patch',
'commit --amend', 'rebase --interactive' and some others make it very
easy to actually do it even when working on a series of changes.

-- 
Thomas Rast
trast@{inf,student}.ethz.ch